DKBSign
Docs
Search documentation…
⌘K
API reference
EN
FR
API reference
Workflows
Models, steps (validate, sign, stamp, QR, initials, text, date), and transactions.
GET
Get workflows trends
/api/workflows/trends
GET
Get workflows completed documents list
/api/workflows/completed/documents/list
GET
Get workflows cancelled documents list
/api/workflows/cancelled/documents/list
GET
Get workflows documents signed list
/api/workflows/documents/signed/list
GET
Get workflows signature-level impact
/api/workflows/signature-level/impact
GET
List workflows
/api/workflows/all
POST
Create a workflow
/api/workflows/create
GET
Get workflows show
/api/workflows/show/{workflow}
PUT
Update a workflow
/api/workflows/update/{workflow}
DELETE
Delete workflows delete
/api/workflows/delete/{workflow}
POST
Relaunch a returned workflow
/api/workflows/{workflow}/relaunch
GET
Get workflows transactions all
/api/workflows/{workflow}/transactions/all
GET
Take a workflow step
/api/workflows/transactions/{transaction}/take
POST
Process a workflow step
/api/workflows/transactions/step/process
POST
Cancel a workflow from the current step
/api/workflows/transactions/step/process/cancelled
POST
Return to the previous step
/api/workflows/transactions/step/process/return
POST
Return the circuit to its initiator
/api/workflows/transactions/step/process/return-to-initiator
PUT
Replace step assignees
/api/workflows/transactions/{transaction}/assignees
POST
Post workflows steps insert
/api/workflows/{workflow}/steps/insert
DELETE
Delete workflows transactions step
/api/workflows/transactions/{transaction}/step
POST
Post workflows file annex
/api/workflows/{workflow}/{instance}/file/annex
POST
Post workflows new process file annex
/api/workflows/{workflow}/{instance}/new/process/file/annex
PUT
Put workflows locked file
/api/workflows/locked/file/{document}
PUT
Put workflows unlocked file
/api/workflows/unlocked/file/{document}
GET
Get workflows download file
/api/workflows/download/file/{document}
DELETE
Delete workflows delete file
/api/workflows/delete/file/{document}
GET
Get workflows actions all
/api/workflows/actions/all
POST
Post workflows actions create
/api/workflows/actions/create
GET
Get workflows actions show
/api/workflows/actions/show/{workflowAction}
PUT
Put workflows actions update
/api/workflows/actions/update/{workflowAction}
DELETE
Delete workflows actions delete
/api/workflows/actions/delete/{workflowAction}
GET
Get workflows models all
/api/workflows/models/all
POST
Create a workflow model
/api/workflows/models/create
GET
Get workflows models show
/api/workflows/models/show/{model}
PUT
Update a workflow model
/api/workflows/models/update/{model}
DELETE
Delete workflows models delete
/api/workflows/models/delete/{model}
POST
Duplicate a workflow model
/api/workflows/models/{model}/duplicate
GET
Get workflows models steps
/api/workflows/models/{model}/steps
POST
Create a model step
/api/workflows/models/{model}/steps/create
GET
Get workflows models steps show
/api/workflows/models/{model}/steps/show/{step}
PUT
Update a model step
/api/workflows/models/{model}/steps/update/{step}
PUT
Put workflows models steps update make-default-start
/api/workflows/models/{model}/steps/update/{step}/make-default-start
DELETE
Delete workflows models steps delete
/api/workflows/models/{model}/steps/delete/{step}
POST
Save the model graph
/api/workflows/models/{model}/steps/configs/create
PUT
Put workflows models steps configs update
/api/workflows/models/{model}/steps/configs/update/{config}
DELETE
Delete workflows models steps configs delete
/api/workflows/models/{model}/steps/configs/delete/{config}